Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class CallBackSchedule

    java.lang.Object
      uchicago.src.sim.engine.BasicAction
          uchicago.src.sim.engine.ScheduleBase
              uchicago.src.sim.engine.Schedule
                  uchicago.src.sim.engine.CallBackSchedule

All Implemented Interfaces:
  java.io.Serializable, TickCounter

    public class CallBackSchedule

extends Schedule
implements java.io.Serializable

The CallBackSchedule class. Created on Dec 11, 2003 9:17:33 PM

Author:
  MichaelNorth
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class uchicago.src.sim.engine.ScheduleBase
`ScheduleBase.Order`

Field Summary

Fields inherited from class uchicago.src.sim.engine.ScheduleBase
`actionQueue, CONCURRENT, groupToExecute, indexCount, LAST, lastGroup, lastQueue, preExecuted, randGroup, RANDOM, repeatInterval, ticks, topGroup`

Fields inherited from class uchicago.src.sim.engine.BasicAction
`INTERVAL_UPDATER, ONE_TIME_UPDATER, updater`

Constructor Summary
`CallBackSchedule()`
`CallBackSchedule(double executionInterval)`

Method Summary
`double` | `getDelta()`
`boolean` | `isNotingCaller()`
`BasicAction` | `schedule(double time, java.lang.Object o, java.lang.String methodName, java.lang.Object param0, java.lang.Object param1, java.lang.Object param2)`
`BasicAction` | `scheduleAt(double time, java.lang.Object o, java.lang.String methodName)`
`BasicAction` | `scheduleAt(double time, java.lang.Object o, java.lang.String methodName, java.lang.Object param0)`
`BasicAction` | `scheduleAt(double time, java.lang.Object o, java.lang.String methodName, java.lang.Object param0, java.lang.Object param1)`
`BasicAction` | `scheduleAt(double time, java.lang.Object o, java.lang.String methodName, java.lang.Object param0, java.lang.Object param1, java.lang.Object param2)`
`BasicAction` | `scheduleNow(java.lang.Object o, java.lang.String methodName)`
`BasicAction` | `scheduleNow(java.lang.Object o, java.lang.String methodName, java.lang.Object param0)`
`BasicAction` | `scheduleNow(java.lang.Object o, java.lang.String methodName, java.lang.Object param0, java.lang.Object param1)`
`BasicAction` | `scheduleNow(java.lang.Object o, java.lang.String methodName, java.lang.Object param0, java.lang.Object param1, java.lang.Object param2)`
`void` | `setDelta(double d)`
`void` | `setNotingCaller(boolean b)`

Methods inherited from class uchicago.src.sim.engine.Schedule
`execute, executeEndActions, executePauseActions, getEndActions, getPauseActions, removeEndAction, removePauseAction, scheduleActionAtEnd, scheduleActionAtEnd, scheduleActionAtEnd, scheduleActionAtEnd, scheduleActionAtEndRnd, scheduleActionAtEndRnd, scheduleActionAtPause, scheduleActionAtPause, scheduleActionAtPause, scheduleActionAtPause, scheduleActionAtPauseRnd, scheduleActionAtPauseRnd`

Methods inherited from class uchicago.src.sim.engine.ScheduleBase
`getCurrentTime, getCurrentTimeDouble, preExecute, removeAction, removeActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAt, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtInterval, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtIntervalRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionAtRnd, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginning, scheduleActionBeginningRnd, scheduleActionBeginningRnd, scheduleActionBeginningRnd, scheduleActionBeginningRnd`

Methods inherited from class uchicago.src.sim.engine.BasicAction
`addToGroup, getIntervalTime, getName, getNextTime, reSchedule, setIntervalTime, setName, setNextTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallBackSchedule

    public CallBackSchedule()

### CallBackSchedule

    public CallBackSchedule(double executionInterval)

Parameters:
  `executionInterval` -

Method Detail

### scheduleNow

    public BasicAction scheduleNow(java.lang.Object o,
                                   java.lang.String methodName)

### scheduleNow

    public BasicAction scheduleNow(java.lang.Object o,
                                   java.lang.String methodName,
                                   java.lang.Object param0)

### scheduleNow

    public BasicAction scheduleNow(java.lang.Object o,
                                   java.lang.String methodName,
                                   java.lang.Object param0,
                                   java.lang.Object param1)

### scheduleNow

    public BasicAction scheduleNow(java.lang.Object o,
                                   java.lang.String methodName,
                                   java.lang.Object param0,
                                   java.lang.Object param1,
                                   java.lang.Object param2)

### scheduleAt

    public BasicAction scheduleAt(double time,
                                  java.lang.Object o,
                                  java.lang.String methodName)

### scheduleAt

    public BasicAction scheduleAt(double time,
                                  java.lang.Object o,
                                  java.lang.String methodName,
                                  java.lang.Object param0)

### scheduleAt

    public BasicAction scheduleAt(double time,
                                  java.lang.Object o,
                                  java.lang.String methodName,
                                  java.lang.Object param0,
                                  java.lang.Object param1)

### scheduleAt

    public BasicAction scheduleAt(double time,
                                  java.lang.Object o,
                                  java.lang.String methodName,
                                  java.lang.Object param0,
                                  java.lang.Object param1,
                                  java.lang.Object param2)

### schedule

    public BasicAction schedule(double time,
                                java.lang.Object o,
                                java.lang.String methodName,
                                java.lang.Object param0,
                                java.lang.Object param1,
                                java.lang.Object param2)

### getDelta

    public double getDelta()

  Returns:

### setDelta

    public void setDelta(double d)

  Parameters:
    `d` -

### isNotingCaller

    public boolean isNotingCaller()

  Returns:

### setNotingCaller

    public void setNotingCaller(boolean b)

  Parameters:
    `b` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD